#include <iostream>

using namespace std;

typedef struct frilenser {
    int novac;
    float porez;
    struct frilenser* sledeci;
} frilenser;

double sumirajPorez(frilenser* prvi, float porez)
{
    double uN = 0;
    while(prvi->sledeci != NULL) {
        if(prvi->porez >= porez) uN += porez / 100.00 * prvi->novac;
        prvi = prvi->sledeci;
    }
    if(prvi->porez >= porez) uN += porez / 100.00 * prvi->novac;
    prvi = prvi->sledeci;
    return uN;
}

frilenser* dodajNaPocetak(frilenser* prvi, int novac, float porez)
{
    frilenser* novi;
    novi = (frilenser*) malloc(sizeof(frilenser));
    novi->novac = novac;
    novi->porez = porez;
    novi->sledeci = prvi;
    return novi;
}

void zamena(float* a, float* b)
{
    float t = *a;
    *a = *b;
    *b = t;
}
int particija (float niz[], int dg, int gg)
{
    float pivot = niz[gg];
    int i = (dg - 1);

    for (int j = dg; j <= gg- 1; j++)
    {
        if (niz[j] <= pivot)
        {
            i++;
            zamena(&niz[i], &niz[j]);
        }
    }
    zamena(&niz[i + 1], &niz[gg]);
    return (i + 1);
}
void quickSort(float niz[], int dg, int gg)
{
    if (dg < gg)
    {
        int pi = particija(niz, dg, gg);
        quickSort(niz, dg, pi - 1);
        quickSort(niz, pi + 1, gg);
    }
}

int brisanjeDuplikata(float niz[], int n)
{
    int prethodni = 0;
    for(int i = 0; i < n; i++)
    {
        if(niz[i] != niz[prethodni])
            niz[++prethodni] = niz[i];
    }

    return prethodni + 1;
}

int main()
{
    int N;
    cin >> N;
    float procenti[N];
    int a;
    float f;
    cin >> a >> f;
    procenti[0] = f;
    frilenser prviFrilenser = {a,f,NULL};
    frilenser* prvi = &prviFrilenser;
    for(int i = 1; i < N; i++){
        cin >> a >> f;
        procenti[i] = f;
        prvi = dodajNaPocetak(prvi, a, f);
    }
    cout << endl;
    quickSort(procenti,0,N - 1);
    int novoN = brisanjeDuplikata(procenti, N);
    double maximum = sumirajPorez(prvi, procenti[0]);
    for (int i = 0; i < novoN; i++){
        double suma = sumirajPorez(prvi, procenti[i]);
        if(suma > maximum) {maximum = suma;}
    }

    cout.precision(4);
    cout << maximum;
    return 0;
}